---
obj: application
website: https://www.privoxy.org
arch-wiki: https://wiki.archlinux.org/title/Privoxy
---

# Privoxy
Privoxy is a filtering proxy for the [HTTP](../../internet/HTTP.md) protocol, frequently used in combination with [Tor](../../internet/Tor.md). Privoxy is a web proxy with advanced filtering capabilities for protecting privacy, filtering web page content, managing cookies, controlling access, and removing ads, banners, pop-ups, etc. It supports both stand-alone systems and multi-user networks.

## Configuration
Edit `/etc/privoxy/config`:
```
listen-address [SERVER-IP]:[PORT]
```

To forward [i2p](../../internet/I2P.md) sites:
```
forward .i2p localhost:4444
```

To forward onion sites:
```
forward-socks4a .onion localhost:9050 .
```

To forward all traffic through [Tor](../../internet/Tor.md):
```
forward-socks5 / localhost:9050 .
```
