---
obj: application
website: https://syncthing.net/
arch-wiki: https://wiki.archlinux.org/title/Syncthing
android-id: com.nutomic.syncthingandroid
---

# Synthing
Syncthing is an open-source file synchronization client/server application written in Go, which implements its own - equally free - Block Exchange Protocol. All transit communications between syncthing nodes are encrypted using TLS and all nodes are uniquely identified with cryptographic certificates. You can share folders with Send, Receive Capabilities or both.

![Screenshot](./syncthing.avif)

## Docker Compose
```yaml
version: "3"
services:
  syncthing_app:
    image: ghcr.io/linuxserver/syncthing
    environment:
      - PUID=1001
      - PGID=1001
      - TZ=Europe/Berlin
    volumes:
      - ./config:/config
      - /storage/Sync:/sync
    ports:
      - 8384:8384
      - 22000:22000/tcp
      - 22000:22000/udp
      - 21027:21027/udp
    restart: unless-stopped
```
